Subject: Re: Total lack of accurate documentation!
From: Heinz-Jürgen Oertel <[email-masked]>
To: Timothy Reaves <[email-masked]>, Cygwin-32 <[email-masked]>
Date: Thu, 25 Feb 1999 08:40:15 +0100

Timothy Reaves schrieb:
> 
>      I downloaded this product, and initially said WOW.  That changesd
> meaning as I began to look around at the documentation.  Sad.  There is
> much missing and a lot of what is there is outright wrong!
> 
>     Does anyone know if this is due to rapid changes in the product, or
> slow documentation people?  I have tried to use the search feature to
> search the past mails, but their search engine is broke due to a mount
> problem it looks like.
> 
>     There are two things I'd like to know off the bat:
>     1) If I have /tmp mounted on d:\temp, and can do cd /tmp, why does
> /tmp not show up when I
>          do  a ls -la / ?
>     2) I have the following line in my .bashrc file, copied from linux.
>             alias dir = 'ls -la --color=yes'
>         when I start bash, I get the following errors:
>                     bash: alias: 'dir' not found
>                     bash: alias: '=' not found
> 
>     Any ideas?.
> 
from man bash (also available for cygwin):

alias [-p] [name[=value] ...]
              Alias with no  arguments  or  with  the  -p  option
              prints  the  list  of  aliases  in  the  form alias
              name=value on standard output.  When arguments  are
              supplied,  an  alias is defined for each name whose
              value is given.  A trailing space in  value  causes
              the  next word to be checked for alias substitution
              when the alias is expanded.  For each name  in  the
              argument  list  for which no value is supplied, the
              name and value of  the  alias  is  printed.   Alias
              returns  true  unless  a name is given for which no
              alias has been defined.

try:
alias dir='ls .....'

By the way,  i think the Cygwin is a great project and people working on
it
have done a great job. Of course some documentation is missing
but most of things can be understood using common LINUX/UNIX docs.
-- 
with best regards / mit freundlichen Grüßen

  Heinz-Jürgen Oertel

==========================================
Heinz-Juergen Oertel
port GmbH            phone +49 3493 743-10
Antonienstr. 3       fax   +49 3493 743-15
D-06749 Bitterfeld   mailto:[email-masked]
Germany              http://www.port.de
==========================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]